package org.wfc.omada.api.sitesetting.model;

import com.fasterxml.jackson.annotation.JsonProperty;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;

import javax.validation.constraints.NotNull;
import java.util.Objects;

/**
 * VirtualWanStatusOpenApiVO
 */
@ApiModel(description = "VirtualWanStatusOpenApiVO")
@javax.annotation.Generated(value = "org.openapitools.codegen.languages.SpringCodegen", date = "2024-12-04T11:32:19.054+08:00[Asia/Shanghai]")

public class VirtualWanStatusOpenApiVo   {
  @JsonProperty("status")
  private Boolean status;

  public VirtualWanStatusOpenApiVo status(Boolean status) {
    this.status = status;
    return this;
  }

  /**
   * The status of virtual WAN, valid values are true or false.
   * @return status
  */
  @ApiModelProperty(required = true, value = "The status of virtual WAN, valid values are true or false.")
  @NotNull


  public Boolean getStatus() {
    return status;
  }

  public void setStatus(Boolean status) {
    this.status = status;
  }


  @Override
  public boolean equals(Object o) {
    if (this == o) {
      return true;
    }
    if (o == null || getClass() != o.getClass()) {
      return false;
    }
    VirtualWanStatusOpenApiVo virtualWanStatusOpenApiVo = (VirtualWanStatusOpenApiVo) o;
    return Objects.equals(this.status, virtualWanStatusOpenApiVo.status);
  }

  @Override
  public int hashCode() {
    return Objects.hash(status);
  }

  @Override
  public String toString() {
    StringBuilder sb = new StringBuilder();
    sb.append("class VirtualWanStatusOpenApiVo {\n");
    
    sb.append("    status: ").append(toIndentedString(status)).append("\n");
    sb.append("}");
    return sb.toString();
  }

  /**
   * Convert the given object to string with each line indented by 4 spaces
   * (except the first line).
   */
  private String toIndentedString(Object o) {
    if (o == null) {
      return "null";
    }
    return o.toString().replace("\n", "\n    ");
  }
}

